跳转到主要内容
GET
/
v2
/
agent
/
{projectId}
/
job
/
{id}
获取代理任务
curl --request GET \
  --url https://api.mintlify.com/v2/agent/{projectId}/job/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.mintlify.com/v2/agent/{projectId}/job/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.mintlify.com/v2/agent/{projectId}/job/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "source": {
    "repository": "<string>",
    "ref": "<string>"
  },
  "model": "<string>",
  "prLink": "https://github.com/org/repo/pull/123",
  "createdAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z"
}
{
"error": "<string>"
}
轮询此端点以跟踪代理任务的进度。status 字段会从 active 变为 completedfailed 代理创建拉取请求 (PR;亦称“合并请求”/Merge Request) 后,prLink 字段会被填入。

授权

Authorization
string
header
必填

Authorization 头部需要 Bearer 令牌。请使用以 mint_ 为前缀的管理员 API 密钥。这是服务端使用的机密凭证。你可以在控制台的 API keys 页面 中生成一个。

路径参数

projectId
string
必填

你的项目 ID。可从你的控制台中的 API keys 页面复制。

id
string
必填

代理任务的唯一标识符。

响应

代理任务详情

id
string

代理任务的唯一标识符。

status
enum<string>

作业的当前状态。active——代理当前正在处理提示词。completed——代理已成功完成,并且可能已创建 PR(请检查 prLink)。archived——作业已归档。failed——代理遇到了不可恢复的错误。请持续轮询,直到状态变为 completedarchivedfailed

可用选项:
active,
completed,
archived,
failed
source
object

源存储库信息。

model
string

此作业使用的 AI 模型。

由代理创建的 GitHub 拉取请求(PR;亦称“合并请求”/Merge Request)URL。作业仍处于 active 状态或没有文件变更时,该值为 null。代理成功创建 PR 后,此字段会被填充。

示例:

"https://github.com/org/repo/pull/123"

createdAt
string<date-time>

作业创建时的时间戳。

archivedAt
string<date-time> | null

作业归档时的时间戳。